import { Component, OnInit } from '@angular/core';
import { Router } from '@angular/router';
import { environment } from 'src/environments/environment';
import { AuthService } from './services/auth.service';

@Component({
  selector: 'app-root',
  templateUrl: './app.component.html'
})
export class AppComponent implements OnInit {

  isAuthenticated = false;

  constructor(
    private auth: AuthService,
    private router: Router
  ) {
    this.auth.onLogin.subscribe((b: boolean) => {
      this.isAuthenticated = b;
    });
    this.auth.onLogout.subscribe((b: boolean) => {
      this.isAuthenticated = b;
    });
  }

  ngOnInit() {
    this.isAuthenticated = this.auth.isAuthenticated;
  }

  goToLoginPage() {
    window.location.href = this.auth.getLoginUrl();
  }

  goToRegisterPage() {
    window.location.href = environment.registerUrl;
  }

  logout() {
    this.auth.logout();
    this.router.navigate(['/']);
  }
}
